<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{299,17,1024,549}</property>
    <property name="Name">[sccrcli.tel]</property>
    <property name="Caption">[Dados da Obra]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Lucida Sans" width="0" height="-16" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,aCbm_Cr_UF,osoSaym_cr_cobrador}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="Bitmap">[icon\tela.jpg]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
//skel variavel m_cr_cep := if(!"-"$m_cr_cep, left(m_cr_cep,5)+"-"+SubStr(m_cr_cep,6,3), m_cr_cep)

IF x_operacao=1 .AND. SELECT('sccrcli')>0
   m_Cr_Cod_Cli := SccrCli->(Recno())
   m_cr_nome := SccrCli->Cr_Nome
   m_cr_cep := SccrCli->Cr_Cep
   m_cr_Rua := SccrCli->Cr_Rua
   m_cr_bairro := SccrCli->Cr_Bairro
   m_Cr_uf := SccrCli->cr_uf
   m_cr_cidade := SccrCli->cr_cidade
   m_cr_fone := SccrCli->cr_fone
   m_cr_contato := SccrCli->Cr_Contato
   m_cr_pontore := SccrCli->Cr_PontoRe
   RefreshGetList()
ENDIF

aCbm_Cr_UF := wUfs
oCr_UF:aitems := aCbm_Cr_UF
oCr_UF:Requery()  
oCr_UF:SetValue( m_cr_uf )
oCr_UF:Refresh()
SET(5,1960)  ]]>
  </method>
  <part class="group">
    <style>
      <property name="Geometry">{3,2,1017,504}</property>
      <property name="Name">[oGroup1]</property>
      <property name="BackColor">8421504</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{10,74,120,30}</property>
        <property name="Name">[oCr_cod_cli]</property>
        <property name="varName">[m_cr_cod_cli]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[m_cr_cod_Cli:=if(SELECT('sccrcli')>0,sccrcli->(RECNO()),m_cr_cod_cli)
oCr_Cod_Cli:Refresh()
RETURN .f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{894,119,100,30}</property>
        <property name="Name">[ofObraNoCli]</property>
        <property name="varName">[m_fObraNoCli]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[M_fObraNoCli := vb_pref->( IF(x_operacao=1,  StartLocacao("GetIdNextObraDoCliente") , fObraNoCli) )
ofObraNoCli:Refresh()
RETURN M_fObraNoCli=0]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{202,20,84,29}</property>
        <property name="Name">[ofObra]</property>
        <property name="varName">[m_fObra]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="Justify">[Right]</property>
        <property name="cPicture">[999999]</property>
        <property name="nMaxLength">5</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[M_fobra := vb_pref->( IF(x_operacao=1, RECCOUNT()+1, fobra) )
ofobra:Refresh()
RETURN .f.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{10,56,70,16}</property>
        <property name="Name">[oSayCr_cod_cli]</property>
        <property name="Caption">[Cliente]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{138,74,718,30}</property>
        <property name="Name">[oCr_nome]</property>
        <property name="varName">[m_Cr_nome]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="cPicture">[@s50]</property>
        <property name="nMaxLength">50</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[m_cr_nome:=if(SELECT('sccrcli')>0,sccrcli->cr_nome,m_cr_nome)
oCr_nome:Refresh()
RETURN .f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{138,119,718,30}</property>
        <property name="Name">[oCr_fantasi]</property>
        <property name="varName">[m_Cr_fantasi]</property>
        <property name="font">
          <font name="Arial" width="0" height="-21" weight="700"/>
        </property>
        <property name="cPicture">[@!50]</property>
        <property name="nMaxLength">50</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[IF EMPTY(m_cr_fantasi)
   ALERT('Voce precisa indicar o nome da obra!')
   RETURN .f.
ENDIF
RETURN .t.]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{138,56,75,16}</property>
        <property name="Name">[oSayCr_nome]</property>
        <property name="Caption">[Razao Social]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{894,100,106,16}</property>
        <property name="Name">[oLabel3]</property>
        <property name="Caption">[Numero de Ordem]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="400"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{15,130,87,16}</property>
        <property name="Name">[oLabel1]</property>
        <property name="Caption">[Nome da Obra:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="700"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">22</property>
      </style>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{10,151,1004,195}</property>
        <property name="Name">[oGroup2]</property>
        <property name="Caption">[Endereco]</property>
        <property name="Transparent">.T.</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="400"/>
        </property>
        <property name="TabIndex">1002</property>
      </style>
      <part class="editbox">
        <style>
          <property name="Geometry">{16,182,153,30}</property>
          <property name="Name">[oCr_CEP]</property>
          <property name="varName">[m_Cr_CEP]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="cPicture">[99999-999]</property>
          <property name="nMaxLength">9</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">3</property>
        </style>
        <method name="onLostFocus">
          <![CDATA[CepCli()]]>
        </method>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{176,182,667,29}</property>
          <property name="Name">[oCr_rua]</property>
          <property name="varName">[m_Cr_rua]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="AutoHScroll">.T.</property>
          <property name="cPicture">[@s50]</property>
          <property name="nMaxLength">50</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">4</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{852,181,100,30}</property>
          <property name="Name">[oCr_NUMRUA]</property>
          <property name="varName">[m_Cr_NUMRUA]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="cPicture">[@s6]</property>
          <property name="nMaxLength">6</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">5</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{852,167,48,16}</property>
          <property name="Name">[oSayCr_NUMRUA]</property>
          <property name="Caption">[No:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">5</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{368,238,102,30}</property>
          <property name="Name">[okmdistante]</property>
          <property name="varName">[m_kmdistante]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="cPicture">[999.999]</property>
          <property name="nMaxLength">6</property>
          <property name="ToolTip">
[Informe a distancia em Km da obra ate a sede de sua empresa]          </property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">5</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{16,238,313,30}</property>
          <property name="Name">[oCr_bairro]</property>
          <property name="varName">[m_Cr_bairro]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="AutoHScroll">.T.</property>
          <property name="cPicture">[@s30]</property>
          <property name="nMaxLength">30</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">6</property>
        </style>
        <method name="onLostFocus">
          <![CDATA[PSQ_BROW('VB_BAIRR','PVBBAIRR','M_CR_BAIRRO','N','S',2,2,'','','',,oCr_bairro,)]]>
        </method>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{106,167,32,16}</property>
          <property name="Name">[oSayCr_cEP]</property>
          <property name="Caption">[CEP:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">7</property>
        </style>
      </part>
      <part class="ownerbutton">
        <style>
          <property name="Geometry">{333,250,18,19}</property>
          <property name="Name">[oboCr_bairro]</property>
          <property name="BtnBitmap">[smPreview]</property>
          <property name="lResource">.T.</property>
          <property name="TabIndex">7</property>
        </style>
        <method name="onClick">
          <![CDATA[PSQ_BROW('VB_BAIRR','PVBBAIRR','M_CR_BAIRRO','N','S',2,2,'','','','EXIBA',oCr_bairro,)]]>
        </method>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{16,219,56,16}</property>
          <property name="Name">[oSayCr_bairro]</property>
          <property name="Caption">[Bairro:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">8</property>
        </style>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{489,238,68,30}</property>
          <property name="Name">[oCr_UF]</property>
          <property name="varName">[m_Cr_UF]</property>
          <property name="ColumnWidth">42</property>
          <property name="DisplayCount">8</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">8</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,oCr_UF
XmlChecaComboBox(value,oCr_UF,aCbm_Cr_UF)]]>
        </method>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{492,219,46,16}</property>
          <property name="Name">[oSayCr_UF]</property>
          <property name="Caption">[Estado]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">9</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{570,238,436,30}</property>
          <property name="Name">[oCr_cidade]</property>
          <property name="varName">[m_Cr_cidade]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="AutoHScroll">.T.</property>
          <property name="cPicture">[@s30]</property>
          <property name="nMaxLength">30</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">9</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{570,219,44,16}</property>
          <property name="Name">[oSayCr_cidade]</property>
          <property name="Caption">[Cidade]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">10</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{16,299,434,30}</property>
          <property name="Name">[oCr_contato]</property>
          <property name="varName">[m_Cr_contato]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="cPicture">[@s30]</property>
          <property name="nMaxLength">30</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">10</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{568,299,436,30}</property>
          <property name="Name">[oCr_fone]</property>
          <property name="varName">[m_Cr_fone]</property>
          <property name="font">
            <font name="Arial" width="0" height="-21" weight="700"/>
          </property>
          <property name="cPicture">[@s20]</property>
          <property name="nMaxLength">15</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">11</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{569,281,141,16}</property>
          <property name="Name">[oSayCr_fone]</property>
          <property name="Caption">[Fone de Contato na Obra]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">12</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{16,281,96,16}</property>
          <property name="Name">[oSayCr_contato]</property>
          <property name="Caption">[Contato na Obra:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">13</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{372,219,69,16}</property>
          <property name="Name">[oLabel4]</property>
          <property name="Caption">[Km distante]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="400"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">9</property>
        </style>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{10,348,1004,144}</property>
        <property name="Name">[oGroup4]</property>
        <property name="Caption">[Ponto de Referencia / Observacoes]</property>
        <property name="Transparent">.T.</property>
        <property name="font">
          <font name="Arial" width="0" height="-12" weight="400"/>
        </property>
        <property name="TabIndex">1004</property>
      </style>
      <part class="editbox">
        <style>
          <property name="Geometry">{100,374,905,109}</property>
          <property name="Name">[oCr_pontore]</property>
          <property name="varName">[m_Cr_pontore]</property>
          <property name="font">
            <font name="Arial" width="0" height="-16" weight="400"/>
          </property>
          <property name="Multiline">.T.</property>
          <property name="nMaxLength">10</property>
          <property name="ReadOnly">.T.</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">12</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{15,406,83,16}</property>
          <property name="Name">[oSayCR_OBS]</property>
          <property name="Caption">[Observacoes:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Arial" width="0" height="-12" weight="700"/>
          </property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">22</property>
        </style>
      </part>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{10,17,189,38}</property>
        <property name="Name">[oLabel2]</property>
        <property name="Caption">[Dados da Obra]</property>
        <property name="TextColor">8404992</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-24" weight="600" italic="255"/>
        </property>
        <property name="Transparent">.T.</property>
        <property name="TabIndex">1005</property>
      </style>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{876,514,57,23}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{935,514,85,23}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="font">
        <font name="Arial" width="0" height="-16" weight="400"/>
      </property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
</part>
